import { select, json, geoPath, geoMercator, zoom } from 'd3'
import { feature } from 'topojson'

const svg = select('svg')

const projection = geoMercator().scale(5000).center([5.116667,52.17000])
const pathGenerator = geoPath().projection(projection)

json('https://cartomap.github.io/nl/wgs84/gemeente_2020.topojson').then(data => {
	const gemeentes = feature(data, data.objects.gemeente_2020)
  
  svg.selectAll('path').data(gemeentes.features)
  	.enter().append('path')
  		.attr('d', pathGenerator)
		.append('title')
  		.text(d => `${d.properties.statnaam}, ID:${d.id}`)
})